import { __require as requireAbs } from "./abs.js";
import { __require as requireFloor } from "./floor.js";
import { __require as require_isNaN } from "./isNaN.js";
import { __require as require_isFinite } from "./isFinite.js";
var isInteger;
var hasRequiredIsInteger;
function requireIsInteger() {
  if (hasRequiredIsInteger) return isInteger;
  hasRequiredIsInteger = 1;
  var $abs = requireAbs();
  var $floor = requireFloor();
  var $isNaN = require_isNaN();
  var $isFinite = require_isFinite();
  isInteger = function isInteger2(argument) {
    if (typeof argument !== "number" || $isNaN(argument) || !$isFinite(argument)) {
      return false;
    }
    var absValue = $abs(argument);
    return $floor(absValue) === absValue;
  };
  return isInteger;
}
export {
  requireIsInteger as __require
};
